Package org.apache.xmlbeans

## Interface XmlENTITIES

- All Superinterfaces:
    `XmlAnySimpleType`, `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `XmlEntitiesImpl`

      public interface XmlENTITIES
      extends XmlAnySimpleType

  Corresponds to the XML Schema xs:ENTITIES type, a list type.

  A list type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static XmlObjectFactory<XmlENTITIES>` | `Factory` |
    `static SchemaType` | `type` | The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<?>` | `getListValue()` | Returns the value as a `List` of `String` values
    `void` | `setListValue​(List<?> l)` | Sets the value as a `List`
    `List<? extends XmlAnySimpleType>` | `xgetListValue()` | Returns the value as a `List` of `XmlENTITY` values

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlENTITIES> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getListValue

          List<?> getListValue()

      Returns the value as a `List` of `String` values

    - #### xgetListValue

          List<? extends XmlAnySimpleType> xgetListValue()

      Returns the value as a `List` of `XmlENTITY` values

    - #### setListValue

          void setListValue​(List<?> l)

      Sets the value as a `List`